Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Thread_Lane_Resources Class Reference

Class representing a thread lane's resources. More...

`#include <Thread_Lane_Resources.h>`

Collaboration diagram for TAO_Thread_Lane_Resources:

[legend]
List of all members.

## Accessors
TAO_Acceptor_Registry & | acceptor_registry (void)
TAO_Connector_Registry * | connector_registry (ACE_ENV_SINGLE_ARG_DECL)
TAO_Transport_Cache_Manager & | transport_cache (void)
TAO_Leader_Follower & | leader_follower (void)
ACE_Allocator * | input_cdr_dblock_allocator (void)
ACE_Allocator * | input_cdr_buffer_allocator (void)
ACE_Allocator * | input_cdr_msgblock_allocator (void)
ACE_Allocator * | transport_message_buffer_allocator (void)
## [NOHEADER]
ACE_Allocator * | input_cdr_dblock_allocator_
ACE_Allocator * | input_cdr_buffer_allocator_
ACE_Allocator * | input_cdr_msgblock_allocator_
## [NOHEADER]
ACE_Allocator * | transport_message_buffer_allocator_
## Public Methods
| TAO_Thread_Lane_Resources (TAO_ORB_Core &orb_core, TAO_New_Leader_Generator *new_leader_generator=0)
| Constructor. More...
| ~TAO_Thread_Lane_Resources (void)
| Destructor. More...
int | is_collocated (const TAO_MProfile &mprofile)
int | open_acceptor_registry (int ignore_address ACE_ENV_ARG_DECL)
| Open the acceptor registry. More...
void | finalize (void)
| Finalize resources. More...
void | shutdown_reactor (void)
| Shutdown the reactor. More...
## Private Methods
int | has_acceptor_registry_been_created (void) const
| Checks if the acceptor registry has been created. More...
TAO_Resource_Factory * | resource_factory (void)
| Helper to get the resource factory in the ORB_Core. More...
## Private Attributes
TAO_ORB_Core & | orb_core_
| ORB_Core related to this thread lane. More...
TAO_Acceptor_Registry * | acceptor_registry_
| The registry which maintains a list of acceptor factories for each loaded protocol. More...
TAO_Connector_Registry * | connector_registry_
| The connector registry which all active connectors must register themselves with. More...
TAO_Transport_Cache_Manager * | transport_cache_
| Transport cache. More...
TAO_Leader_Follower * | leader_follower_
| The leader/followers management class for this lane. More...
TAO_SYNCH_MUTEX | lock_
| Synchronization. More...
TAO_New_Leader_Generator * | new_leader_generator_
| Generator of new leader threads. More...

## Detailed Description

Class representing a thread lane's resources.

## Constructor & Destructor Documentation

TAO_Thread_Lane_Resources::TAO_Thread_Lane_Resources | ( | TAO_ORB_Core & | orb_core,
|  | TAO_New_Leader_Generator * | new_leader_generator = 0
| ) |

| Constructor.

TAO_Thread_Lane_Resources::~TAO_Thread_Lane_Resources | ( | void |  | ) |

| Destructor.

## Member Function Documentation

TAO_Acceptor_Registry & TAO_Thread_Lane_Resources::acceptor_registry | ( | void |  | ) |

TAO_Connector_Registry * TAO_Thread_Lane_Resources::connector_registry | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

void TAO_Thread_Lane_Resources::finalize | ( | void |  | ) |

| Finalize resources.

int TAO_Thread_Lane_Resources::has_acceptor_registry_been_created | ( | void |  | ) | const`[private]`

| Checks if the acceptor registry has been created.

ACE_Allocator * TAO_Thread_Lane_Resources::input_cdr_buffer_allocator | ( | void |  | ) |

ACE_Allocator * TAO_Thread_Lane_Resources::input_cdr_dblock_allocator | ( | void |  | ) |

ACE_Allocator * TAO_Thread_Lane_Resources::input_cdr_msgblock_allocator | ( | void |  | ) |

int TAO_Thread_Lane_Resources::is_collocated | ( | const TAO_MProfile & | mprofile | ) |

TAO_Leader_Follower & TAO_Thread_Lane_Resources::leader_follower | ( | void |  | ) |

int TAO_Thread_Lane_Resources::open_acceptor_registry | ( | int ignore_address | ACE_ENV_ARG_DECL | ) |

| Open the acceptor registry.

TAO_Resource_Factory * TAO_Thread_Lane_Resources::resource_factory | ( | void |  | ) | `[private]`

| Helper to get the resource factory in the ORB_Core.

void TAO_Thread_Lane_Resources::shutdown_reactor | ( | void |  | ) |

| Shutdown the reactor.

TAO_Transport_Cache_Manager & TAO_Thread_Lane_Resources::transport_cache | ( | void |  | ) |

ACE_Allocator * TAO_Thread_Lane_Resources::transport_message_buffer_allocator | ( | void |  | ) |

## Member Data Documentation

TAO_Acceptor_Registry* TAO_Thread_Lane_Resources::acceptor_registry_`[private]`

| The registry which maintains a list of acceptor factories for each loaded protocol.

TAO_Connector_Registry* TAO_Thread_Lane_Resources::connector_registry_`[private]`

| The connector registry which all active connectors must register themselves with.

ACE_Allocator* TAO_Thread_Lane_Resources::input_cdr_buffer_allocator_`[private]`

ACE_Allocator* TAO_Thread_Lane_Resources::input_cdr_dblock_allocator_`[private]`

ACE_Allocator* TAO_Thread_Lane_Resources::input_cdr_msgblock_allocator_`[private]`

TAO_Leader_Follower* TAO_Thread_Lane_Resources::leader_follower_`[private]`

| The leader/followers management class for this lane.

TAO_SYNCH_MUTEX TAO_Thread_Lane_Resources::lock_`[private]`

| Synchronization.

TAO_New_Leader_Generator* TAO_Thread_Lane_Resources::new_leader_generator_`[private]`

| Generator of new leader threads.

TAO_ORB_Core& TAO_Thread_Lane_Resources::orb_core_`[private]`

| ORB_Core related to this thread lane.

TAO_Transport_Cache_Manager* TAO_Thread_Lane_Resources::transport_cache_`[private]`

| Transport cache.

ACE_Allocator* TAO_Thread_Lane_Resources::transport_message_buffer_allocator_`[private]`

The documentation for this class was generated from the following files:

- Thread_Lane_Resources.h
- Thread_Lane_Resources.cpp